1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" config.h:config.h.in"
276config_commands=" depfiles"
277
278ac_cs_usage="\
279\`$as_me' instantiates files from templates according to the
280current configuration.
281
282Usage: $0 [OPTIONS] [FILE]...
283
284  -h, --help       print this help, then exit
285  -V, --version    print version number, then exit
286  -q, --quiet      do not print progress messages
287  -d, --debug      don't remove temporary files
288      --recheck    update $as_me by reconfiguring in the same conditions
289  --file=FILE[:TEMPLATE]
290		   instantiate the configuration file FILE
291  --header=FILE[:TEMPLATE]
292		   instantiate the configuration header FILE
293
294Configuration files:
295$config_files
296
297Configuration headers:
298$config_headers
299
300Configuration commands:
301$config_commands
302
303Report bugs to <bug-autoconf@gnu.org>."
304ac_cs_version="\
305config.status
306configured by ./configure, generated by GNU Autoconf 2.59,
307  with options \"'--prefix=/usr' '--sysconfdir=/etc' '--localstatedir=/var'\"
308
309Copyright (C) 2003 Free Software Foundation, Inc.
310This config.status script is free software; the Free Software Foundation
311gives unlimited permission to copy, distribute and modify it."
312srcdir=.
313INSTALL="/usr/bin/ginstall -c"
314# If no file are specified by the user, then we need to provide default
315# value.  By we need to know if files were specified by the user.
316ac_need_defaults=:
317while test $# != 0
318do
319  case $1 in
320  --*=*)
321    ac_option=`expr "x$1" : 'x\([^=]*\)='`
322    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323    ac_shift=:
324    ;;
325  -*)
326    ac_option=$1
327    ac_optarg=$2
328    ac_shift=shift
329    ;;
330  *) # This is not an option, so the user has probably given explicit
331     # arguments.
332     ac_option=$1
333     ac_need_defaults=false;;
334  esac
335
336  case $ac_option in
337  # Handling of the options.
338  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339    ac_cs_recheck=: ;;
340  --version | --vers* | -V )
341    echo "$ac_cs_version"; exit 0 ;;
342  --he | --h)
343    # Conflict between --help and --header
344    { { echo "$as_me:$LINENO: error: ambiguous option: $1
345Try \`$0 --help' for more information." >&5
346echo "$as_me: error: ambiguous option: $1
347Try \`$0 --help' for more information." >&2;}
348   { (exit 1); exit 1; }; };;
349  --help | --hel | -h )
350    echo "$ac_cs_usage"; exit 0 ;;
351  --debug | --d* | -d )
352    debug=: ;;
353  --file | --fil | --fi | --f )
354    $ac_shift
355    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356    ac_need_defaults=false;;
357  --header | --heade | --head | --hea )
358    $ac_shift
359    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360    ac_need_defaults=false;;
361  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362  | -silent | --silent | --silen | --sile | --sil | --si | --s)
363    ac_cs_silent=: ;;
364
365  # This is an error.
366  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367Try \`$0 --help' for more information." >&5
368echo "$as_me: error: unrecognized option: $1
369Try \`$0 --help' for more information." >&2;}
370   { (exit 1); exit 1; }; } ;;
371
372  *) ac_config_targets="$ac_config_targets $1" ;;
373
374  esac
375  shift
376done
377
378ac_configure_extra_args=
379
380if $ac_cs_silent; then
381  exec 6>/dev/null
382  ac_configure_extra_args="$ac_configure_extra_args --silent"
383fi
384
385if $ac_cs_recheck; then
386  echo "running /bin/sh ./configure " '--prefix=/usr' '--sysconfdir=/etc' '--localstatedir=/var' $ac_configure_extra_args " --no-create --no-recursion" >&6
387  exec /bin/sh ./configure '--prefix=/usr' '--sysconfdir=/etc' '--localstatedir=/var' $ac_configure_extra_args --no-create --no-recursion
388fi
389
390#
391# INIT-COMMANDS section.
392#
393
394AMDEP_TRUE="" ac_aux_dir="."
395
396for ac_config_target in $ac_config_targets
397do
398  case "$ac_config_target" in
399  # Handling of arguments.
400  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
402  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.h.in" ;;
403  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
404echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
405   { (exit 1); exit 1; }; };;
406  esac
407done
408
409# If the user did not use the arguments to specify the items to instantiate,
410# then the envvar interface is used.  Set only those that are not.
411# We use the long form for the default assignment because of an extremely
412# bizarre bug on SunOS 4.1.3.
413if $ac_need_defaults; then
414  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
415  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
416  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
417fi
418
419# Have a temporary directory for convenience.  Make it in the build tree
420# simply because there is no reason to put it here, and in addition,
421# creating and moving files from /tmp can sometimes cause problems.
422# Create a temporary directory, and hook for its removal unless debugging.
423$debug ||
424{
425  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
426  trap '{ (exit 1); exit 1; }' 1 2 13 15
427}
428
429# Create a (secure) tmp directory for tmp files.
430
431{
432  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
433  test -n "$tmp" && test -d "$tmp"
434}  ||
435{
436  tmp=./confstat$$-$RANDOM
437  (umask 077 && mkdir $tmp)
438} ||
439{
440   echo "$me: cannot create a temporary directory in ." >&2
441   { (exit 1); exit 1; }
442}
443
444
445#
446# CONFIG_FILES section.
447#
448
449# No need to generate the scripts if there are no CONFIG_FILES.
450# This happens for instance when ./config.status config.h
451if test -n "$CONFIG_FILES"; then
452  # Protect against being on the right side of a sed subst in config.status.
453  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
454   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
455s,@SHELL@,/bin/sh,;t t
456s,@PATH_SEPARATOR@,:,;t t
457s,@PACKAGE_NAME@,,;t t
458s,@PACKAGE_TARNAME@,,;t t
459s,@PACKAGE_VERSION@,,;t t
460s,@PACKAGE_STRING@,,;t t
461s,@PACKAGE_BUGREPORT@,,;t t
462s,@exec_prefix@,${prefix},;t t
463s,@prefix@,/usr,;t t
464s,@program_transform_name@,s,x,x,,;t t
465s,@bindir@,${exec_prefix}/bin,;t t
466s,@sbindir@,${exec_prefix}/sbin,;t t
467s,@libexecdir@,${exec_prefix}/libexec,;t t
468s,@datadir@,${prefix}/share,;t t
469s,@sysconfdir@,/etc,;t t
470s,@sharedstatedir@,${prefix}/com,;t t
471s,@localstatedir@,/var,;t t
472s,@libdir@,${exec_prefix}/lib,;t t
473s,@includedir@,${prefix}/include,;t t
474s,@oldincludedir@,/usr/include,;t t
475s,@infodir@,${prefix}/info,;t t
476s,@mandir@,${prefix}/man,;t t
477s,@build_alias@,,;t t
478s,@host_alias@,,;t t
479s,@target_alias@,,;t t
480s,@DEFS@,-DHAVE_CONFIG_H,;t t
481s,@ECHO_C@,,;t t
482s,@ECHO_N@,-n,;t t
483s,@ECHO_T@,,;t t
484s,@LIBS@,-lnsl ,;t t
485s,@INSTALL_PROGRAM@,${INSTALL},;t t
486s,@INSTALL_SCRIPT@,${INSTALL},;t t
487s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
488s,@CYGPATH_W@,echo,;t t
489s,@PACKAGE@,gofish,;t t
490s,@VERSION@,1.0,;t t
491s,@ACLOCAL@,${SHELL} /home/seanm/gofish/missing --run aclocal-1.8,;t t
492s,@AUTOCONF@,${SHELL} /home/seanm/gofish/missing --run autoconf,;t t
493s,@AUTOMAKE@,${SHELL} /home/seanm/gofish/missing --run automake-1.8,;t t
494s,@AUTOHEADER@,${SHELL} /home/seanm/gofish/missing --run autoheader,;t t
495s,@MAKEINFO@,${SHELL} /home/seanm/gofish/missing --run makeinfo,;t t
496s,@AMTAR@,${SHELL} /home/seanm/gofish/missing --run tar,;t t
497s,@install_sh@,/home/seanm/gofish/install-sh,;t t
498s,@STRIP@,,;t t
499s,@ac_ct_STRIP@,,;t t
500s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
501s,@mkdir_p@,mkdir -p -- .,;t t
502s,@AWK@,gawk,;t t
503s,@SET_MAKE@,,;t t
504s,@am__leading_dot@,.,;t t
505s,@build@,i686-pc-linux-gnu,;t t
506s,@build_cpu@,i686,;t t
507s,@build_vendor@,pc,;t t
508s,@build_os@,linux-gnu,;t t
509s,@host@,i686-pc-linux-gnu,;t t
510s,@host_cpu@,i686,;t t
511s,@host_vendor@,pc,;t t
512s,@host_os@,linux-gnu,;t t
513s,@gopherroot@,/var/gopher,;t t
514s,@CC@,gcc,;t t
515s,@CFLAGS@,-g -O2 -Wall,;t t
516s,@LDFLAGS@,,;t t
517s,@CPPFLAGS@,,;t t
518s,@ac_ct_CC@,gcc,;t t
519s,@EXEEXT@,,;t t
520s,@OBJEXT@,o,;t t
521s,@DEPDIR@,.deps,;t t
522s,@am__include@,include,;t t
523s,@am__quote@,,;t t
524s,@AMDEP_TRUE@,,;t t
525s,@AMDEP_FALSE@,#,;t t
526s,@AMDEPBACKSLASH@,\,;t t
527s,@CCDEPMODE@,depmode=gcc3,;t t
528s,@am__fastdepCC_TRUE@,,;t t
529s,@am__fastdepCC_FALSE@,#,;t t
530s,@CPP@,gcc -E,;t t
531s,@EGREP@,grep -E,;t t
532s,@LIBOBJS@,,;t t
533s,@LTLIBOBJS@,,;t t
534CEOF
535
536  # Split the substitutions into bite-sized pieces for seds with
537  # small command number limits, like on Digital OSF/1 and HP-UX.
538  ac_max_sed_lines=48
539  ac_sed_frag=1 # Number of current file.
540  ac_beg=1 # First line for current file.
541  ac_end=$ac_max_sed_lines # Line after last line for current file.
542  ac_more_lines=:
543  ac_sed_cmds=
544  while $ac_more_lines; do
545    if test $ac_beg -gt 1; then
546      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
547    else
548      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
549    fi
550    if test ! -s $tmp/subs.frag; then
551      ac_more_lines=false
552    else
553      # The purpose of the label and of the branching condition is to
554      # speed up the sed processing (if there are no `@' at all, there
555      # is no need to browse any of the substitutions).
556      # These are the two extra sed commands mentioned above.
557      (echo ':t
558  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
559      if test -z "$ac_sed_cmds"; then
560	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
561      else
562	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
563      fi
564      ac_sed_frag=`expr $ac_sed_frag + 1`
565      ac_beg=$ac_end
566      ac_end=`expr $ac_end + $ac_max_sed_lines`
567    fi
568  done
569  if test -z "$ac_sed_cmds"; then
570    ac_sed_cmds=cat
571  fi
572fi # test -n "$CONFIG_FILES"
573
574for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
575  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
576  case $ac_file in
577  - | *:- | *:-:* ) # input from stdin
578	cat >$tmp/stdin
579	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
580	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
581  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
582	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
583  * )   ac_file_in=$ac_file.in ;;
584  esac
585
586  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
587  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
588$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
589	 X"$ac_file" : 'X\(//\)[^/]' \| \
590	 X"$ac_file" : 'X\(//\)$' \| \
591	 X"$ac_file" : 'X\(/\)' \| \
592	 .     : '\(.\)' 2>/dev/null ||
593echo X"$ac_file" |
594    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
595  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
596  	  /^X\(\/\/\)$/{ s//\1/; q; }
597  	  /^X\(\/\).*/{ s//\1/; q; }
598  	  s/.*/./; q'`
599  { if $as_mkdir_p; then
600    mkdir -p "$ac_dir"
601  else
602    as_dir="$ac_dir"
603    as_dirs=
604    while test ! -d "$as_dir"; do
605      as_dirs="$as_dir $as_dirs"
606      as_dir=`(dirname "$as_dir") 2>/dev/null ||
607$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
608	 X"$as_dir" : 'X\(//\)[^/]' \| \
609	 X"$as_dir" : 'X\(//\)$' \| \
610	 X"$as_dir" : 'X\(/\)' \| \
611	 .     : '\(.\)' 2>/dev/null ||
612echo X"$as_dir" |
613    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
614  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
615  	  /^X\(\/\/\)$/{ s//\1/; q; }
616  	  /^X\(\/\).*/{ s//\1/; q; }
617  	  s/.*/./; q'`
618    done
619    test ! -n "$as_dirs" || mkdir $as_dirs
620  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
621echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
622   { (exit 1); exit 1; }; }; }
623
624  ac_builddir=.
625
626if test "$ac_dir" != .; then
627  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
628  # A "../" for each directory in $ac_dir_suffix.
629  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
630else
631  ac_dir_suffix= ac_top_builddir=
632fi
633
634case $srcdir in
635  .)  # No --srcdir option.  We are building in place.
636    ac_srcdir=.
637    if test -z "$ac_top_builddir"; then
638       ac_top_srcdir=.
639    else
640       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
641    fi ;;
642  [\\/]* | ?:[\\/]* )  # Absolute path.
643    ac_srcdir=$srcdir$ac_dir_suffix;
644    ac_top_srcdir=$srcdir ;;
645  *) # Relative path.
646    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
647    ac_top_srcdir=$ac_top_builddir$srcdir ;;
648esac
649
650# Do not use `cd foo && pwd` to compute absolute paths, because
651# the directories may not exist.
652case `pwd` in
653.) ac_abs_builddir="$ac_dir";;
654*)
655  case "$ac_dir" in
656  .) ac_abs_builddir=`pwd`;;
657  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
658  *) ac_abs_builddir=`pwd`/"$ac_dir";;
659  esac;;
660esac
661case $ac_abs_builddir in
662.) ac_abs_top_builddir=${ac_top_builddir}.;;
663*)
664  case ${ac_top_builddir}. in
665  .) ac_abs_top_builddir=$ac_abs_builddir;;
666  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
667  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
668  esac;;
669esac
670case $ac_abs_builddir in
671.) ac_abs_srcdir=$ac_srcdir;;
672*)
673  case $ac_srcdir in
674  .) ac_abs_srcdir=$ac_abs_builddir;;
675  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
676  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
677  esac;;
678esac
679case $ac_abs_builddir in
680.) ac_abs_top_srcdir=$ac_top_srcdir;;
681*)
682  case $ac_top_srcdir in
683  .) ac_abs_top_srcdir=$ac_abs_builddir;;
684  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
685  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
686  esac;;
687esac
688
689
690  case $INSTALL in
691  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
692  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
693  esac
694
695  if test x"$ac_file" != x-; then
696    { echo "$as_me:$LINENO: creating $ac_file" >&5
697echo "$as_me: creating $ac_file" >&6;}
698    rm -f "$ac_file"
699  fi
700  # Let's still pretend it is `configure' which instantiates (i.e., don't
701  # use $as_me), people would be surprised to read:
702  #    /* config.h.  Generated by config.status.  */
703  if test x"$ac_file" = x-; then
704    configure_input=
705  else
706    configure_input="$ac_file.  "
707  fi
708  configure_input=$configure_input"Generated from `echo $ac_file_in |
709				     sed 's,.*/,,'` by configure."
710
711  # First look for the input files in the build tree, otherwise in the
712  # src tree.
713  ac_file_inputs=`IFS=:
714    for f in $ac_file_in; do
715      case $f in
716      -) echo $tmp/stdin ;;
717      [\\/$]*)
718	 # Absolute (can't be DOS-style, as IFS=:)
719	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
720echo "$as_me: error: cannot find input file: $f" >&2;}
721   { (exit 1); exit 1; }; }
722	 echo "$f";;
723      *) # Relative
724	 if test -f "$f"; then
725	   # Build tree
726	   echo "$f"
727	 elif test -f "$srcdir/$f"; then
728	   # Source tree
729	   echo "$srcdir/$f"
730	 else
731	   # /dev/null tree
732	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
733echo "$as_me: error: cannot find input file: $f" >&2;}
734   { (exit 1); exit 1; }; }
735	 fi;;
736      esac
737    done` || { (exit 1); exit 1; }
738  sed "/^[	 ]*VPATH[	 ]*=/{
739s/:*\$(srcdir):*/:/;
740s/:*\${srcdir}:*/:/;
741s/:*@srcdir@:*/:/;
742s/^\([^=]*=[	 ]*\):*/\1/;
743s/:*$//;
744s/^[^=]*=[	 ]*$//;
745}
746
747:t
748/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
749s,@configure_input@,$configure_input,;t t
750s,@srcdir@,$ac_srcdir,;t t
751s,@abs_srcdir@,$ac_abs_srcdir,;t t
752s,@top_srcdir@,$ac_top_srcdir,;t t
753s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
754s,@builddir@,$ac_builddir,;t t
755s,@abs_builddir@,$ac_abs_builddir,;t t
756s,@top_builddir@,$ac_top_builddir,;t t
757s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
758s,@INSTALL@,$ac_INSTALL,;t t
759" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
760  rm -f $tmp/stdin
761  if test x"$ac_file" != x-; then
762    mv $tmp/out $ac_file
763  else
764    cat $tmp/out
765    rm -f $tmp/out
766  fi
767
768done
769
770#
771# CONFIG_HEADER section.
772#
773
774# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
775# NAME is the cpp macro being defined and VALUE is the value it is being given.
776#
777# ac_d sets the value in "#define NAME VALUE" lines.
778ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
779ac_dB='[	 ].*$,\1#\2'
780ac_dC=' '
781ac_dD=',;t'
782# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
783ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
784ac_uB='$,\1#\2define\3'
785ac_uC=' '
786ac_uD=',;t'
787
788for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
789  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
790  case $ac_file in
791  - | *:- | *:-:* ) # input from stdin
792	cat >$tmp/stdin
793	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
794	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
795  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
796	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
797  * )   ac_file_in=$ac_file.in ;;
798  esac
799
800  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
801echo "$as_me: creating $ac_file" >&6;}
802
803  # First look for the input files in the build tree, otherwise in the
804  # src tree.
805  ac_file_inputs=`IFS=:
806    for f in $ac_file_in; do
807      case $f in
808      -) echo $tmp/stdin ;;
809      [\\/$]*)
810	 # Absolute (can't be DOS-style, as IFS=:)
811	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
812echo "$as_me: error: cannot find input file: $f" >&2;}
813   { (exit 1); exit 1; }; }
814	 # Do quote $f, to prevent DOS paths from being IFS'd.
815	 echo "$f";;
816      *) # Relative
817	 if test -f "$f"; then
818	   # Build tree
819	   echo "$f"
820	 elif test -f "$srcdir/$f"; then
821	   # Source tree
822	   echo "$srcdir/$f"
823	 else
824	   # /dev/null tree
825	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
826echo "$as_me: error: cannot find input file: $f" >&2;}
827   { (exit 1); exit 1; }; }
828	 fi;;
829      esac
830    done` || { (exit 1); exit 1; }
831  # Remove the trailing spaces.
832  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
833
834  # Handle all the #define templates only if necessary.
835  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
836  # If there are no defines, we may have an empty if/fi
837  :
838  cat >$tmp/defines.sed <<CEOF
839/^[	 ]*#[	 ]*define/!b
840t clr
841: clr
842${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
843${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
844${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
845${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
846${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
847${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gofish"${ac_dD}
848${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.0"${ac_dD}
849${ac_dA}HAVE_LIBNSL${ac_dB}HAVE_LIBNSL${ac_dC}1${ac_dD}
850${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
851${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
852${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
853${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
854${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
855${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
856${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
857${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
858${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
859${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
860${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
861${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
862${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
863${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
864${ac_dA}HAVE_SYSLOG_H${ac_dB}HAVE_SYSLOG_H${ac_dC}1${ac_dD}
865${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
866${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
867${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
868${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
869${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
870${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
871${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
872${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
873${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
874${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
875${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
876${ac_dA}HAVE_UNAME${ac_dB}HAVE_UNAME${ac_dC}1${ac_dD}
877${ac_dA}HAVE_WRITEV${ac_dB}HAVE_WRITEV${ac_dC}1${ac_dD}
878${ac_dA}HAVE_DAEMON${ac_dB}HAVE_DAEMON${ac_dC}1${ac_dD}
879${ac_dA}HAVE_INITGROUPS${ac_dB}HAVE_INITGROUPS${ac_dC}1${ac_dD}
880CEOF
881  sed -f $tmp/defines.sed $tmp/in >$tmp/out
882  rm -f $tmp/in
883  mv $tmp/out $tmp/in
884
885  cat >$tmp/defines.sed <<CEOF
886/^[	 ]*#[	 ]*define/!b
887t clr
888: clr
889${ac_dA}HAVE_POLL${ac_dB}HAVE_POLL${ac_dC}1${ac_dD}
890${ac_dA}GOPHER_USER${ac_dB}GOPHER_USER${ac_dC}"gopher"${ac_dD}
891CEOF
892  sed -f $tmp/defines.sed $tmp/in >$tmp/out
893  rm -f $tmp/in
894  mv $tmp/out $tmp/in
895
896  fi # grep
897
898  # Handle all the #undef templates
899  cat >$tmp/undefs.sed <<CEOF
900/^[	 ]*#[	 ]*undef/!b
901t clr
902: clr
903${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
904${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
905${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
906${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
907${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
908${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gofish"${ac_uD}
909${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.0"${ac_uD}
910${ac_uA}HAVE_LIBNSL${ac_uB}HAVE_LIBNSL${ac_uC}1${ac_uD}
911${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
912${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
913${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
914${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
915${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
916${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
917${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
918${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
919${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
920${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
921${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
922${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
923${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
924${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
925${ac_uA}HAVE_SYSLOG_H${ac_uB}HAVE_SYSLOG_H${ac_uC}1${ac_uD}
926${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
927${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
928${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
929${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
930${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
931${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
932${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
933${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
934${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
935${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
936${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
937${ac_uA}HAVE_UNAME${ac_uB}HAVE_UNAME${ac_uC}1${ac_uD}
938${ac_uA}HAVE_WRITEV${ac_uB}HAVE_WRITEV${ac_uC}1${ac_uD}
939${ac_uA}HAVE_DAEMON${ac_uB}HAVE_DAEMON${ac_uC}1${ac_uD}
940${ac_uA}HAVE_INITGROUPS${ac_uB}HAVE_INITGROUPS${ac_uC}1${ac_uD}
941CEOF
942  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
943  rm -f $tmp/in
944  mv $tmp/out $tmp/in
945
946  cat >$tmp/undefs.sed <<CEOF
947/^[	 ]*#[	 ]*undef/!b
948t clr
949: clr
950${ac_uA}HAVE_POLL${ac_uB}HAVE_POLL${ac_uC}1${ac_uD}
951${ac_uA}GOPHER_USER${ac_uB}GOPHER_USER${ac_uC}"gopher"${ac_uD}
952s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
953CEOF
954  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
955  rm -f $tmp/in
956  mv $tmp/out $tmp/in
957
958  # Let's still pretend it is `configure' which instantiates (i.e., don't
959  # use $as_me), people would be surprised to read:
960  #    /* config.h.  Generated by config.status.  */
961  if test x"$ac_file" = x-; then
962    echo "/* Generated by configure.  */" >$tmp/config.h
963  else
964    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
965  fi
966  cat $tmp/in >>$tmp/config.h
967  rm -f $tmp/in
968  if test x"$ac_file" != x-; then
969    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
970      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
971echo "$as_me: $ac_file is unchanged" >&6;}
972    else
973      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
974$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
975	 X"$ac_file" : 'X\(//\)[^/]' \| \
976	 X"$ac_file" : 'X\(//\)$' \| \
977	 X"$ac_file" : 'X\(/\)' \| \
978	 .     : '\(.\)' 2>/dev/null ||
979echo X"$ac_file" |
980    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
981  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
982  	  /^X\(\/\/\)$/{ s//\1/; q; }
983  	  /^X\(\/\).*/{ s//\1/; q; }
984  	  s/.*/./; q'`
985      { if $as_mkdir_p; then
986    mkdir -p "$ac_dir"
987  else
988    as_dir="$ac_dir"
989    as_dirs=
990    while test ! -d "$as_dir"; do
991      as_dirs="$as_dir $as_dirs"
992      as_dir=`(dirname "$as_dir") 2>/dev/null ||
993$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
994	 X"$as_dir" : 'X\(//\)[^/]' \| \
995	 X"$as_dir" : 'X\(//\)$' \| \
996	 X"$as_dir" : 'X\(/\)' \| \
997	 .     : '\(.\)' 2>/dev/null ||
998echo X"$as_dir" |
999    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1000  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1001  	  /^X\(\/\/\)$/{ s//\1/; q; }
1002  	  /^X\(\/\).*/{ s//\1/; q; }
1003  	  s/.*/./; q'`
1004    done
1005    test ! -n "$as_dirs" || mkdir $as_dirs
1006  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1007echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1008   { (exit 1); exit 1; }; }; }
1009
1010      rm -f $ac_file
1011      mv $tmp/config.h $ac_file
1012    fi
1013  else
1014    cat $tmp/config.h
1015    rm -f $tmp/config.h
1016  fi
1017# Compute $ac_file's index in $config_headers.
1018_am_stamp_count=1
1019for _am_header in $config_headers :; do
1020  case $_am_header in
1021    $ac_file | $ac_file:* )
1022      break ;;
1023    * )
1024      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1025  esac
1026done
1027echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1028$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1029	 X$ac_file : 'X\(//\)[^/]' \| \
1030	 X$ac_file : 'X\(//\)$' \| \
1031	 X$ac_file : 'X\(/\)' \| \
1032	 .     : '\(.\)' 2>/dev/null ||
1033echo X$ac_file |
1034    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1035  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1036  	  /^X\(\/\/\)$/{ s//\1/; q; }
1037  	  /^X\(\/\).*/{ s//\1/; q; }
1038  	  s/.*/./; q'`/stamp-h$_am_stamp_count
1039done
1040
1041#
1042# CONFIG_COMMANDS section.
1043#
1044for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1045  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1046  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1047  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1048$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1049	 X"$ac_dest" : 'X\(//\)[^/]' \| \
1050	 X"$ac_dest" : 'X\(//\)$' \| \
1051	 X"$ac_dest" : 'X\(/\)' \| \
1052	 .     : '\(.\)' 2>/dev/null ||
1053echo X"$ac_dest" |
1054    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1055  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1056  	  /^X\(\/\/\)$/{ s//\1/; q; }
1057  	  /^X\(\/\).*/{ s//\1/; q; }
1058  	  s/.*/./; q'`
1059  { if $as_mkdir_p; then
1060    mkdir -p "$ac_dir"
1061  else
1062    as_dir="$ac_dir"
1063    as_dirs=
1064    while test ! -d "$as_dir"; do
1065      as_dirs="$as_dir $as_dirs"
1066      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1067$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1068	 X"$as_dir" : 'X\(//\)[^/]' \| \
1069	 X"$as_dir" : 'X\(//\)$' \| \
1070	 X"$as_dir" : 'X\(/\)' \| \
1071	 .     : '\(.\)' 2>/dev/null ||
1072echo X"$as_dir" |
1073    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1074  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1075  	  /^X\(\/\/\)$/{ s//\1/; q; }
1076  	  /^X\(\/\).*/{ s//\1/; q; }
1077  	  s/.*/./; q'`
1078    done
1079    test ! -n "$as_dirs" || mkdir $as_dirs
1080  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1081echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1082   { (exit 1); exit 1; }; }; }
1083
1084  ac_builddir=.
1085
1086if test "$ac_dir" != .; then
1087  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1088  # A "../" for each directory in $ac_dir_suffix.
1089  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1090else
1091  ac_dir_suffix= ac_top_builddir=
1092fi
1093
1094case $srcdir in
1095  .)  # No --srcdir option.  We are building in place.
1096    ac_srcdir=.
1097    if test -z "$ac_top_builddir"; then
1098       ac_top_srcdir=.
1099    else
1100       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1101    fi ;;
1102  [\\/]* | ?:[\\/]* )  # Absolute path.
1103    ac_srcdir=$srcdir$ac_dir_suffix;
1104    ac_top_srcdir=$srcdir ;;
1105  *) # Relative path.
1106    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1107    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1108esac
1109
1110# Do not use `cd foo && pwd` to compute absolute paths, because
1111# the directories may not exist.
1112case `pwd` in
1113.) ac_abs_builddir="$ac_dir";;
1114*)
1115  case "$ac_dir" in
1116  .) ac_abs_builddir=`pwd`;;
1117  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1118  *) ac_abs_builddir=`pwd`/"$ac_dir";;
1119  esac;;
1120esac
1121case $ac_abs_builddir in
1122.) ac_abs_top_builddir=${ac_top_builddir}.;;
1123*)
1124  case ${ac_top_builddir}. in
1125  .) ac_abs_top_builddir=$ac_abs_builddir;;
1126  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1127  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1128  esac;;
1129esac
1130case $ac_abs_builddir in
1131.) ac_abs_srcdir=$ac_srcdir;;
1132*)
1133  case $ac_srcdir in
1134  .) ac_abs_srcdir=$ac_abs_builddir;;
1135  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1136  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1137  esac;;
1138esac
1139case $ac_abs_builddir in
1140.) ac_abs_top_srcdir=$ac_top_srcdir;;
1141*)
1142  case $ac_top_srcdir in
1143  .) ac_abs_top_srcdir=$ac_abs_builddir;;
1144  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1145  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1146  esac;;
1147esac
1148
1149
1150  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1151echo "$as_me: executing $ac_dest commands" >&6;}
1152  case $ac_dest in
1153    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1154  # Strip MF so we end up with the name of the file.
1155  mf=`echo "$mf" | sed -e 's/:.*$//'`
1156  # Check whether this is an Automake generated Makefile or not.
1157  # We used to match only the files named `Makefile.in', but
1158  # some people rename them; so instead we look at the file content.
1159  # Grep'ing the first line is not enough: some people post-process
1160  # each Makefile.in and add a new line on top of each file to say so.
1161  # So let's grep whole file.
1162  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1163    dirpart=`(dirname "$mf") 2>/dev/null ||
1164$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1165	 X"$mf" : 'X\(//\)[^/]' \| \
1166	 X"$mf" : 'X\(//\)$' \| \
1167	 X"$mf" : 'X\(/\)' \| \
1168	 .     : '\(.\)' 2>/dev/null ||
1169echo X"$mf" |
1170    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1171  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1172  	  /^X\(\/\/\)$/{ s//\1/; q; }
1173  	  /^X\(\/\).*/{ s//\1/; q; }
1174  	  s/.*/./; q'`
1175  else
1176    continue
1177  fi
1178  grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1179  # Extract the definition of DEP_FILES from the Makefile without
1180  # running `make'.
1181  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1182  test -z "$DEPDIR" && continue
1183  # When using ansi2knr, U may be empty or an underscore; expand it
1184  U=`sed -n 's/^U = //p' < "$mf"`
1185  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1186  # We invoke sed twice because it is the simplest approach to
1187  # changing $(DEPDIR) to its actual value in the expansion.
1188  for file in `sed -n '
1189    /^DEP_FILES = .*\\\\$/ {
1190      s/^DEP_FILES = //
1191      :loop
1192	s/\\\\$//
1193	p
1194	n
1195	/\\\\$/ b loop
1196      p
1197    }
1198    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1199       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1200    # Make sure the directory exists.
1201    test -f "$dirpart/$file" && continue
1202    fdir=`(dirname "$file") 2>/dev/null ||
1203$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1204	 X"$file" : 'X\(//\)[^/]' \| \
1205	 X"$file" : 'X\(//\)$' \| \
1206	 X"$file" : 'X\(/\)' \| \
1207	 .     : '\(.\)' 2>/dev/null ||
1208echo X"$file" |
1209    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1210  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1211  	  /^X\(\/\/\)$/{ s//\1/; q; }
1212  	  /^X\(\/\).*/{ s//\1/; q; }
1213  	  s/.*/./; q'`
1214    { if $as_mkdir_p; then
1215    mkdir -p $dirpart/$fdir
1216  else
1217    as_dir=$dirpart/$fdir
1218    as_dirs=
1219    while test ! -d "$as_dir"; do
1220      as_dirs="$as_dir $as_dirs"
1221      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1222$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1223	 X"$as_dir" : 'X\(//\)[^/]' \| \
1224	 X"$as_dir" : 'X\(//\)$' \| \
1225	 X"$as_dir" : 'X\(/\)' \| \
1226	 .     : '\(.\)' 2>/dev/null ||
1227echo X"$as_dir" |
1228    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1229  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1230  	  /^X\(\/\/\)$/{ s//\1/; q; }
1231  	  /^X\(\/\).*/{ s//\1/; q; }
1232  	  s/.*/./; q'`
1233    done
1234    test ! -n "$as_dirs" || mkdir $as_dirs
1235  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1236echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1237   { (exit 1); exit 1; }; }; }
1238
1239    # echo "creating $dirpart/$file"
1240    echo '# dummy' > "$dirpart/$file"
1241  done
1242done
1243 ;;
1244  esac
1245done
1246
1247{ (exit 0); exit 0; }
1248